<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>ConstraintWithVSLlGrammarAccess xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../apidocs/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/services/ConstraintWithVSLlGrammarAccess.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/*******************************************************************************</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * Copyright (c) 2006, 2016 CEA LIST and others.</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> *     CEA LIST - initial API and implementation</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment"> *     </em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_javadoccomment"> *     </em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <em class="jxr_javadoccomment"> *******************************************************************************/</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <em class="jxr_comment"> * generated by Xtext</em>
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.services;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.marte.vsl.services.VSLGrammarAccess;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">import</strong> org.eclipse.xtext.Assignment;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <strong class="jxr_keyword">import</strong> org.eclipse.xtext.Grammar;
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <strong class="jxr_keyword">import</strong> org.eclipse.xtext.GrammarUtil;
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <strong class="jxr_keyword">import</strong> org.eclipse.xtext.ParserRule;
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <strong class="jxr_keyword">import</strong> org.eclipse.xtext.RuleCall;
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <strong class="jxr_keyword">import</strong> org.eclipse.xtext.TerminalRule;
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <strong class="jxr_keyword">import</strong> org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder;
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <strong class="jxr_keyword">import</strong> org.eclipse.xtext.service.GrammarProvider;
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <strong class="jxr_keyword">import</strong> com.google.inject.Inject;
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <strong class="jxr_keyword">import</strong> com.google.inject.Singleton;
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  @Singleton
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/services/ConstraintWithVSLlGrammarAccess.html">ConstraintWithVSLlGrammarAccess</a> <strong class="jxr_keyword">extends</strong> AbstractGrammarElementFinder {
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/services/ConstraintWithVSLlGrammarAccess.html">ConstraintRuleElements</a> <strong class="jxr_keyword">extends</strong> AbstractParserRuleElementFinder {
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  		<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">final</strong> ParserRule rule = (ParserRule) GrammarUtil.findRuleForName(getGrammar(), <span class="jxr_string">"ConstraintRule"</span>);
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  		<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">final</strong> Assignment cSpecificationAssignment = (Assignment) rule.eContents().get(1);
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  		<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">final</strong> RuleCall cSpecificationConstraintSpecificationParserRuleCall_0 = (RuleCall) cSpecificationAssignment.eContents().get(0);
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  		<em class="jxr_comment">// ConstraintRule:</em>
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  		<em class="jxr_comment">// specification=ConstraintSpecification?;</em>
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  		@Override
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  		<strong class="jxr_keyword">public</strong> ParserRule getRule() {
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  			<strong class="jxr_keyword">return</strong> rule;
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  		}
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  		<em class="jxr_comment">// specification=ConstraintSpecification?</em>
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  		<strong class="jxr_keyword">public</strong> Assignment getSpecificationAssignment() {
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  			<strong class="jxr_keyword">return</strong> cSpecificationAssignment;
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  		}
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  		<em class="jxr_comment">// ConstraintSpecification</em>
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  		<strong class="jxr_keyword">public</strong> RuleCall getSpecificationConstraintSpecificationParserRuleCall_0() {
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  			<strong class="jxr_keyword">return</strong> cSpecificationConstraintSpecificationParserRuleCall_0;
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  		}
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  	}
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/services/ConstraintWithVSLlGrammarAccess.html">ConstraintSpecificationElements</a> <strong class="jxr_keyword">extends</strong> AbstractParserRuleElementFinder {
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  		<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">final</strong> ParserRule rule = (ParserRule) GrammarUtil.findRuleForName(getGrammar(), <span class="jxr_string">"ConstraintSpecification"</span>);
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  		<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">final</strong> Assignment cExpressionAssignment = (Assignment) rule.eContents().get(1);
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  		<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">final</strong> RuleCall cExpressionExpressionParserRuleCall_0 = (RuleCall) cExpressionAssignment.eContents().get(0);
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  		<em class="jxr_comment">// ConstraintSpecification:</em>
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  		<em class="jxr_comment">// expression=Expression;</em>
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  		@Override
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  		<strong class="jxr_keyword">public</strong> ParserRule getRule() {
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  			<strong class="jxr_keyword">return</strong> rule;
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  		}
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  		<em class="jxr_comment">// expression=Expression</em>
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  		<strong class="jxr_keyword">public</strong> Assignment getExpressionAssignment() {
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  			<strong class="jxr_keyword">return</strong> cExpressionAssignment;
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  		}
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  		<em class="jxr_comment">// Expression</em>
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  		<strong class="jxr_keyword">public</strong> RuleCall getExpressionExpressionParserRuleCall_0() {
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  			<strong class="jxr_keyword">return</strong> cExpressionExpressionParserRuleCall_0;
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  		}
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  	}
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  	<strong class="jxr_keyword">private</strong> <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/services/ConstraintWithVSLlGrammarAccess.html">ConstraintRuleElements</a> pConstraintRule;
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  	<strong class="jxr_keyword">private</strong> <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/services/ConstraintWithVSLlGrammarAccess.html">ConstraintSpecificationElements</a> pConstraintSpecification;
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">final</strong> GrammarProvider grammarProvider;
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  	<strong class="jxr_keyword">private</strong> <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/services/VSLGrammarAccess.html">VSLGrammarAccess</a> gaVSL;
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  	@Inject
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/services/ConstraintWithVSLlGrammarAccess.html">ConstraintWithVSLlGrammarAccess</a>(GrammarProvider grammarProvider,
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  			VSLGrammarAccess gaVSL) {
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  		<strong class="jxr_keyword">this</strong>.grammarProvider = grammarProvider;
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  		<strong class="jxr_keyword">this</strong>.gaVSL = gaVSL;
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  	}
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  	@Override
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  	<strong class="jxr_keyword">public</strong> Grammar getGrammar() {
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  		<strong class="jxr_keyword">return</strong> grammarProvider.getGrammar(<strong class="jxr_keyword">this</strong>);
<a class="jxr_linenumber" name="L100" href="#L100">100</a> 	}
<a class="jxr_linenumber" name="L101" href="#L101">101</a> 
<a class="jxr_linenumber" name="L102" href="#L102">102</a> 
<a class="jxr_linenumber" name="L103" href="#L103">103</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/services/VSLGrammarAccess.html">VSLGrammarAccess</a> getVSLGrammarAccess() {
<a class="jxr_linenumber" name="L104" href="#L104">104</a> 		<strong class="jxr_keyword">return</strong> gaVSL;
<a class="jxr_linenumber" name="L105" href="#L105">105</a> 	}
<a class="jxr_linenumber" name="L106" href="#L106">106</a> 
<a class="jxr_linenumber" name="L107" href="#L107">107</a> 
<a class="jxr_linenumber" name="L108" href="#L108">108</a> 	<em class="jxr_comment">// ConstraintRule:</em>
<a class="jxr_linenumber" name="L109" href="#L109">109</a> 	<em class="jxr_comment">// specification=ConstraintSpecification?;</em>
<a class="jxr_linenumber" name="L110" href="#L110">110</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/services/ConstraintWithVSLlGrammarAccess.html">ConstraintRuleElements</a> getConstraintRuleAccess() {
<a class="jxr_linenumber" name="L111" href="#L111">111</a> 		<strong class="jxr_keyword">return</strong> (pConstraintRule != <strong class="jxr_keyword">null</strong>) ? pConstraintRule : (pConstraintRule = <strong class="jxr_keyword">new</strong> ConstraintRuleElements());
<a class="jxr_linenumber" name="L112" href="#L112">112</a> 	}
<a class="jxr_linenumber" name="L113" href="#L113">113</a> 
<a class="jxr_linenumber" name="L114" href="#L114">114</a> 	<strong class="jxr_keyword">public</strong> ParserRule getConstraintRuleRule() {
<a class="jxr_linenumber" name="L115" href="#L115">115</a> 		<strong class="jxr_keyword">return</strong> getConstraintRuleAccess().getRule();
<a class="jxr_linenumber" name="L116" href="#L116">116</a> 	}
<a class="jxr_linenumber" name="L117" href="#L117">117</a> 
<a class="jxr_linenumber" name="L118" href="#L118">118</a> 	<em class="jxr_comment">// ConstraintSpecification:</em>
<a class="jxr_linenumber" name="L119" href="#L119">119</a> 	<em class="jxr_comment">// expression=Expression;</em>
<a class="jxr_linenumber" name="L120" href="#L120">120</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/services/ConstraintWithVSLlGrammarAccess.html">ConstraintSpecificationElements</a> getConstraintSpecificationAccess() {
<a class="jxr_linenumber" name="L121" href="#L121">121</a> 		<strong class="jxr_keyword">return</strong> (pConstraintSpecification != <strong class="jxr_keyword">null</strong>) ? pConstraintSpecification : (pConstraintSpecification = <strong class="jxr_keyword">new</strong> ConstraintSpecificationElements());
<a class="jxr_linenumber" name="L122" href="#L122">122</a> 	}
<a class="jxr_linenumber" name="L123" href="#L123">123</a> 
<a class="jxr_linenumber" name="L124" href="#L124">124</a> 	<strong class="jxr_keyword">public</strong> ParserRule getConstraintSpecificationRule() {
<a class="jxr_linenumber" name="L125" href="#L125">125</a> 		<strong class="jxr_keyword">return</strong> getConstraintSpecificationAccess().getRule();
<a class="jxr_linenumber" name="L126" href="#L126">126</a> 	}
<a class="jxr_linenumber" name="L127" href="#L127">127</a> 
<a class="jxr_linenumber" name="L128" href="#L128">128</a> 	<em class="jxr_comment">// Expression:</em>
<a class="jxr_linenumber" name="L129" href="#L129">129</a> 	<em class="jxr_comment">// exp=AndOrXorExpression;</em>
<a class="jxr_linenumber" name="L130" href="#L130">130</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.ExpressionElements getExpressionAccess() {
<a class="jxr_linenumber" name="L131" href="#L131">131</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getExpressionAccess();
<a class="jxr_linenumber" name="L132" href="#L132">132</a> 	}
<a class="jxr_linenumber" name="L133" href="#L133">133</a> 
<a class="jxr_linenumber" name="L134" href="#L134">134</a> 	<strong class="jxr_keyword">public</strong> ParserRule getExpressionRule() {
<a class="jxr_linenumber" name="L135" href="#L135">135</a> 		<strong class="jxr_keyword">return</strong> getExpressionAccess().getRule();
<a class="jxr_linenumber" name="L136" href="#L136">136</a> 	}
<a class="jxr_linenumber" name="L137" href="#L137">137</a> 
<a class="jxr_linenumber" name="L138" href="#L138">138</a> 	<em class="jxr_comment">// AndOrXorExpression:</em>
<a class="jxr_linenumber" name="L139" href="#L139">139</a> 	<em class="jxr_comment">// exp+=EqualityExpression (op+=("and" | "or" | "xor") exp+=EqualityExpression)*;</em>
<a class="jxr_linenumber" name="L140" href="#L140">140</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.AndOrXorExpressionElements getAndOrXorExpressionAccess() {
<a class="jxr_linenumber" name="L141" href="#L141">141</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getAndOrXorExpressionAccess();
<a class="jxr_linenumber" name="L142" href="#L142">142</a> 	}
<a class="jxr_linenumber" name="L143" href="#L143">143</a> 
<a class="jxr_linenumber" name="L144" href="#L144">144</a> 	<strong class="jxr_keyword">public</strong> ParserRule getAndOrXorExpressionRule() {
<a class="jxr_linenumber" name="L145" href="#L145">145</a> 		<strong class="jxr_keyword">return</strong> getAndOrXorExpressionAccess().getRule();
<a class="jxr_linenumber" name="L146" href="#L146">146</a> 	}
<a class="jxr_linenumber" name="L147" href="#L147">147</a> 
<a class="jxr_linenumber" name="L148" href="#L148">148</a> 	<em class="jxr_comment">// EqualityExpression:</em>
<a class="jxr_linenumber" name="L149" href="#L149">149</a> 	<em class="jxr_comment">// exp+=RelationalExpression (op+=("==" | "&lt;&gt;") exp+=RelationalExpression)*;</em>
<a class="jxr_linenumber" name="L150" href="#L150">150</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.EqualityExpressionElements getEqualityExpressionAccess() {
<a class="jxr_linenumber" name="L151" href="#L151">151</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getEqualityExpressionAccess();
<a class="jxr_linenumber" name="L152" href="#L152">152</a> 	}
<a class="jxr_linenumber" name="L153" href="#L153">153</a> 
<a class="jxr_linenumber" name="L154" href="#L154">154</a> 	<strong class="jxr_keyword">public</strong> ParserRule getEqualityExpressionRule() {
<a class="jxr_linenumber" name="L155" href="#L155">155</a> 		<strong class="jxr_keyword">return</strong> getEqualityExpressionAccess().getRule();
<a class="jxr_linenumber" name="L156" href="#L156">156</a> 	}
<a class="jxr_linenumber" name="L157" href="#L157">157</a> 
<a class="jxr_linenumber" name="L158" href="#L158">158</a> 	<em class="jxr_comment">// RelationalExpression:</em>
<a class="jxr_linenumber" name="L159" href="#L159">159</a> 	<em class="jxr_comment">// exp+=ConditionalExpression (op+=("&lt;" | "&gt;" | "&lt;=" | "&gt;=") exp+=ConditionalExpression)*;</em>
<a class="jxr_linenumber" name="L160" href="#L160">160</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.RelationalExpressionElements getRelationalExpressionAccess() {
<a class="jxr_linenumber" name="L161" href="#L161">161</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getRelationalExpressionAccess();
<a class="jxr_linenumber" name="L162" href="#L162">162</a> 	}
<a class="jxr_linenumber" name="L163" href="#L163">163</a> 
<a class="jxr_linenumber" name="L164" href="#L164">164</a> 	<strong class="jxr_keyword">public</strong> ParserRule getRelationalExpressionRule() {
<a class="jxr_linenumber" name="L165" href="#L165">165</a> 		<strong class="jxr_keyword">return</strong> getRelationalExpressionAccess().getRule();
<a class="jxr_linenumber" name="L166" href="#L166">166</a> 	}
<a class="jxr_linenumber" name="L167" href="#L167">167</a> 
<a class="jxr_linenumber" name="L168" href="#L168">168</a> 	<em class="jxr_comment">// ConditionalExpression:</em>
<a class="jxr_linenumber" name="L169" href="#L169">169</a> 	<em class="jxr_comment">// exp+=AdditiveExpression (op+="?" exp+=AdditiveExpression ":" exp+=AdditiveExpression)?;</em>
<a class="jxr_linenumber" name="L170" href="#L170">170</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.ConditionalExpressionElements getConditionalExpressionAccess() {
<a class="jxr_linenumber" name="L171" href="#L171">171</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getConditionalExpressionAccess();
<a class="jxr_linenumber" name="L172" href="#L172">172</a> 	}
<a class="jxr_linenumber" name="L173" href="#L173">173</a> 
<a class="jxr_linenumber" name="L174" href="#L174">174</a> 	<strong class="jxr_keyword">public</strong> ParserRule getConditionalExpressionRule() {
<a class="jxr_linenumber" name="L175" href="#L175">175</a> 		<strong class="jxr_keyword">return</strong> getConditionalExpressionAccess().getRule();
<a class="jxr_linenumber" name="L176" href="#L176">176</a> 	}
<a class="jxr_linenumber" name="L177" href="#L177">177</a> 
<a class="jxr_linenumber" name="L178" href="#L178">178</a> 	<em class="jxr_comment">// AdditiveExpression:</em>
<a class="jxr_linenumber" name="L179" href="#L179">179</a> 	<em class="jxr_comment">// exp+=MultiplicativeExpression (op+=("+" | "-") exp+=MultiplicativeExpression)*;</em>
<a class="jxr_linenumber" name="L180" href="#L180">180</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.AdditiveExpressionElements getAdditiveExpressionAccess() {
<a class="jxr_linenumber" name="L181" href="#L181">181</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getAdditiveExpressionAccess();
<a class="jxr_linenumber" name="L182" href="#L182">182</a> 	}
<a class="jxr_linenumber" name="L183" href="#L183">183</a> 
<a class="jxr_linenumber" name="L184" href="#L184">184</a> 	<strong class="jxr_keyword">public</strong> ParserRule getAdditiveExpressionRule() {
<a class="jxr_linenumber" name="L185" href="#L185">185</a> 		<strong class="jxr_keyword">return</strong> getAdditiveExpressionAccess().getRule();
<a class="jxr_linenumber" name="L186" href="#L186">186</a> 	}
<a class="jxr_linenumber" name="L187" href="#L187">187</a> 
<a class="jxr_linenumber" name="L188" href="#L188">188</a> 	<em class="jxr_comment">// MultiplicativeExpression:</em>
<a class="jxr_linenumber" name="L189" href="#L189">189</a> 	<em class="jxr_comment">// exp+=UnaryExpression (op+=("*" | "/" | "mod") exp+=UnaryExpression)*;</em>
<a class="jxr_linenumber" name="L190" href="#L190">190</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.MultiplicativeExpressionElements getMultiplicativeExpressionAccess() {
<a class="jxr_linenumber" name="L191" href="#L191">191</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getMultiplicativeExpressionAccess();
<a class="jxr_linenumber" name="L192" href="#L192">192</a> 	}
<a class="jxr_linenumber" name="L193" href="#L193">193</a> 
<a class="jxr_linenumber" name="L194" href="#L194">194</a> 	<strong class="jxr_keyword">public</strong> ParserRule getMultiplicativeExpressionRule() {
<a class="jxr_linenumber" name="L195" href="#L195">195</a> 		<strong class="jxr_keyword">return</strong> getMultiplicativeExpressionAccess().getRule();
<a class="jxr_linenumber" name="L196" href="#L196">196</a> 	}
<a class="jxr_linenumber" name="L197" href="#L197">197</a> 
<a class="jxr_linenumber" name="L198" href="#L198">198</a> 	<em class="jxr_comment">// UnaryExpression:</em>
<a class="jxr_linenumber" name="L199" href="#L199">199</a> 	<em class="jxr_comment">// op=("not" | "-" | "+") unary=UnaryExpression | exp=PrimaryExpression;</em>
<a class="jxr_linenumber" name="L200" href="#L200">200</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.UnaryExpressionElements getUnaryExpressionAccess() {
<a class="jxr_linenumber" name="L201" href="#L201">201</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getUnaryExpressionAccess();
<a class="jxr_linenumber" name="L202" href="#L202">202</a> 	}
<a class="jxr_linenumber" name="L203" href="#L203">203</a> 
<a class="jxr_linenumber" name="L204" href="#L204">204</a> 	<strong class="jxr_keyword">public</strong> ParserRule getUnaryExpressionRule() {
<a class="jxr_linenumber" name="L205" href="#L205">205</a> 		<strong class="jxr_keyword">return</strong> getUnaryExpressionAccess().getRule();
<a class="jxr_linenumber" name="L206" href="#L206">206</a> 	}
<a class="jxr_linenumber" name="L207" href="#L207">207</a> 
<a class="jxr_linenumber" name="L208" href="#L208">208</a> 	<em class="jxr_comment">// PrimaryExpression:</em>
<a class="jxr_linenumber" name="L209" href="#L209">209</a> 	<em class="jxr_comment">// prefix=ValueSpecification ("." suffix=SuffixExpression)?;</em>
<a class="jxr_linenumber" name="L210" href="#L210">210</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.PrimaryExpressionElements getPrimaryExpressionAccess() {
<a class="jxr_linenumber" name="L211" href="#L211">211</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getPrimaryExpressionAccess();
<a class="jxr_linenumber" name="L212" href="#L212">212</a> 	}
<a class="jxr_linenumber" name="L213" href="#L213">213</a> 
<a class="jxr_linenumber" name="L214" href="#L214">214</a> 	<strong class="jxr_keyword">public</strong> ParserRule getPrimaryExpressionRule() {
<a class="jxr_linenumber" name="L215" href="#L215">215</a> 		<strong class="jxr_keyword">return</strong> getPrimaryExpressionAccess().getRule();
<a class="jxr_linenumber" name="L216" href="#L216">216</a> 	}
<a class="jxr_linenumber" name="L217" href="#L217">217</a> 
<a class="jxr_linenumber" name="L218" href="#L218">218</a> 	<em class="jxr_comment">// ValueSpecification:</em>
<a class="jxr_linenumber" name="L219" href="#L219">219</a> 	<em class="jxr_comment">// Literal | NameOrChoiceOrBehaviorCall | Interval | CollectionOrTuple | Tuple | TimeExpression | VariableDeclaration |</em>
<a class="jxr_linenumber" name="L220" href="#L220">220</a> 	<em class="jxr_comment">// "(" Expression ")";</em>
<a class="jxr_linenumber" name="L221" href="#L221">221</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.ValueSpecificationElements getValueSpecificationAccess() {
<a class="jxr_linenumber" name="L222" href="#L222">222</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getValueSpecificationAccess();
<a class="jxr_linenumber" name="L223" href="#L223">223</a> 	}
<a class="jxr_linenumber" name="L224" href="#L224">224</a> 
<a class="jxr_linenumber" name="L225" href="#L225">225</a> 	<strong class="jxr_keyword">public</strong> ParserRule getValueSpecificationRule() {
<a class="jxr_linenumber" name="L226" href="#L226">226</a> 		<strong class="jxr_keyword">return</strong> getValueSpecificationAccess().getRule();
<a class="jxr_linenumber" name="L227" href="#L227">227</a> 	}
<a class="jxr_linenumber" name="L228" href="#L228">228</a> 
<a class="jxr_linenumber" name="L229" href="#L229">229</a> 	<em class="jxr_comment">// SuffixExpression:</em>
<a class="jxr_linenumber" name="L230" href="#L230">230</a> 	<em class="jxr_comment">// PropertyCallExpression | OperationCallExpression;</em>
<a class="jxr_linenumber" name="L231" href="#L231">231</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.SuffixExpressionElements getSuffixExpressionAccess() {
<a class="jxr_linenumber" name="L232" href="#L232">232</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getSuffixExpressionAccess();
<a class="jxr_linenumber" name="L233" href="#L233">233</a> 	}
<a class="jxr_linenumber" name="L234" href="#L234">234</a> 
<a class="jxr_linenumber" name="L235" href="#L235">235</a> 	<strong class="jxr_keyword">public</strong> ParserRule getSuffixExpressionRule() {
<a class="jxr_linenumber" name="L236" href="#L236">236</a> 		<strong class="jxr_keyword">return</strong> getSuffixExpressionAccess().getRule();
<a class="jxr_linenumber" name="L237" href="#L237">237</a> 	}
<a class="jxr_linenumber" name="L238" href="#L238">238</a> 
<a class="jxr_linenumber" name="L239" href="#L239">239</a> 	<em class="jxr_comment">// PropertyCallExpression:</em>
<a class="jxr_linenumber" name="L240" href="#L240">240</a> 	<em class="jxr_comment">// property=[uml::Property] ("." suffix=SuffixExpression)?;</em>
<a class="jxr_linenumber" name="L241" href="#L241">241</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.PropertyCallExpressionElements getPropertyCallExpressionAccess() {
<a class="jxr_linenumber" name="L242" href="#L242">242</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getPropertyCallExpressionAccess();
<a class="jxr_linenumber" name="L243" href="#L243">243</a> 	}
<a class="jxr_linenumber" name="L244" href="#L244">244</a> 
<a class="jxr_linenumber" name="L245" href="#L245">245</a> 	<strong class="jxr_keyword">public</strong> ParserRule getPropertyCallExpressionRule() {
<a class="jxr_linenumber" name="L246" href="#L246">246</a> 		<strong class="jxr_keyword">return</strong> getPropertyCallExpressionAccess().getRule();
<a class="jxr_linenumber" name="L247" href="#L247">247</a> 	}
<a class="jxr_linenumber" name="L248" href="#L248">248</a> 
<a class="jxr_linenumber" name="L249" href="#L249">249</a> 	<em class="jxr_comment">// OperationCallExpression:</em>
<a class="jxr_linenumber" name="L250" href="#L250">250</a> 	<em class="jxr_comment">// operation=[uml::Operation] "(" arguments=ListOfValues? ")" ("." suffix=SuffixExpression)?;</em>
<a class="jxr_linenumber" name="L251" href="#L251">251</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.OperationCallExpressionElements getOperationCallExpressionAccess() {
<a class="jxr_linenumber" name="L252" href="#L252">252</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getOperationCallExpressionAccess();
<a class="jxr_linenumber" name="L253" href="#L253">253</a> 	}
<a class="jxr_linenumber" name="L254" href="#L254">254</a> 
<a class="jxr_linenumber" name="L255" href="#L255">255</a> 	<strong class="jxr_keyword">public</strong> ParserRule getOperationCallExpressionRule() {
<a class="jxr_linenumber" name="L256" href="#L256">256</a> 		<strong class="jxr_keyword">return</strong> getOperationCallExpressionAccess().getRule();
<a class="jxr_linenumber" name="L257" href="#L257">257</a> 	}
<a class="jxr_linenumber" name="L258" href="#L258">258</a> 
<a class="jxr_linenumber" name="L259" href="#L259">259</a> 	<em class="jxr_comment">// Literal:</em>
<a class="jxr_linenumber" name="L260" href="#L260">260</a> 	<em class="jxr_comment">// NumberLiteralRule | DateTimeLiteralRule | BooleanLiteralRule | NullLiteralRule | DefaultLiteralRule |</em>
<a class="jxr_linenumber" name="L261" href="#L261">261</a> 	<em class="jxr_comment">// StringLiteralRule;</em>
<a class="jxr_linenumber" name="L262" href="#L262">262</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.LiteralElements getLiteralAccess() {
<a class="jxr_linenumber" name="L263" href="#L263">263</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getLiteralAccess();
<a class="jxr_linenumber" name="L264" href="#L264">264</a> 	}
<a class="jxr_linenumber" name="L265" href="#L265">265</a> 
<a class="jxr_linenumber" name="L266" href="#L266">266</a> 	<strong class="jxr_keyword">public</strong> ParserRule getLiteralRule() {
<a class="jxr_linenumber" name="L267" href="#L267">267</a> 		<strong class="jxr_keyword">return</strong> getLiteralAccess().getRule();
<a class="jxr_linenumber" name="L268" href="#L268">268</a> 	}
<a class="jxr_linenumber" name="L269" href="#L269">269</a> 
<a class="jxr_linenumber" name="L270" href="#L270">270</a> 	<em class="jxr_comment">// NameOrChoiceOrBehaviorCall:</em>
<a class="jxr_linenumber" name="L271" href="#L271">271</a> 	<em class="jxr_comment">// path=QualifiedName? // can resolve to :</em>
<a class="jxr_linenumber" name="L272" href="#L272">272</a> 	<em class="jxr_comment">// // - EnumSpecification,</em>
<a class="jxr_linenumber" name="L273" href="#L273">273</a> 	<em class="jxr_comment">// // - VariableCallExpression</em>
<a class="jxr_linenumber" name="L274" href="#L274">274</a> 	<em class="jxr_comment">// // - PropertyCallExpression</em>
<a class="jxr_linenumber" name="L275" href="#L275">275</a> 	<em class="jxr_comment">// // - ChoiceExpression</em>
<a class="jxr_linenumber" name="L276" href="#L276">276</a> 	<em class="jxr_comment">// id=[uml::NamedElement] ("(" arguments=ListOfValues? ")")?;</em>
<a class="jxr_linenumber" name="L277" href="#L277">277</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.NameOrChoiceOrBehaviorCallElements getNameOrChoiceOrBehaviorCallAccess() {
<a class="jxr_linenumber" name="L278" href="#L278">278</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getNameOrChoiceOrBehaviorCallAccess();
<a class="jxr_linenumber" name="L279" href="#L279">279</a> 	}
<a class="jxr_linenumber" name="L280" href="#L280">280</a> 
<a class="jxr_linenumber" name="L281" href="#L281">281</a> 	<strong class="jxr_keyword">public</strong> ParserRule getNameOrChoiceOrBehaviorCallRule() {
<a class="jxr_linenumber" name="L282" href="#L282">282</a> 		<strong class="jxr_keyword">return</strong> getNameOrChoiceOrBehaviorCallAccess().getRule();
<a class="jxr_linenumber" name="L283" href="#L283">283</a> 	}
<a class="jxr_linenumber" name="L284" href="#L284">284</a> 
<a class="jxr_linenumber" name="L285" href="#L285">285</a> 	<em class="jxr_comment">// QualifiedName:</em>
<a class="jxr_linenumber" name="L286" href="#L286">286</a> 	<em class="jxr_comment">// path=[uml::Namespace] "::" remaining=QualifiedName?;</em>
<a class="jxr_linenumber" name="L287" href="#L287">287</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.QualifiedNameElements getQualifiedNameAccess() {
<a class="jxr_linenumber" name="L288" href="#L288">288</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getQualifiedNameAccess();
<a class="jxr_linenumber" name="L289" href="#L289">289</a> 	}
<a class="jxr_linenumber" name="L290" href="#L290">290</a> 
<a class="jxr_linenumber" name="L291" href="#L291">291</a> 	<strong class="jxr_keyword">public</strong> ParserRule getQualifiedNameRule() {
<a class="jxr_linenumber" name="L292" href="#L292">292</a> 		<strong class="jxr_keyword">return</strong> getQualifiedNameAccess().getRule();
<a class="jxr_linenumber" name="L293" href="#L293">293</a> 	}
<a class="jxr_linenumber" name="L294" href="#L294">294</a> 
<a class="jxr_linenumber" name="L295" href="#L295">295</a> 	<em class="jxr_comment">// Interval:</em>
<a class="jxr_linenumber" name="L296" href="#L296">296</a> 	<em class="jxr_comment">// ("]" | isLowerIncluded="[") lower=Expression ".." upper=Expression (isUpperIncluded="]" | "[");</em>
<a class="jxr_linenumber" name="L297" href="#L297">297</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.IntervalElements getIntervalAccess() {
<a class="jxr_linenumber" name="L298" href="#L298">298</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getIntervalAccess();
<a class="jxr_linenumber" name="L299" href="#L299">299</a> 	}
<a class="jxr_linenumber" name="L300" href="#L300">300</a> 
<a class="jxr_linenumber" name="L301" href="#L301">301</a> 	<strong class="jxr_keyword">public</strong> ParserRule getIntervalRule() {
<a class="jxr_linenumber" name="L302" href="#L302">302</a> 		<strong class="jxr_keyword">return</strong> getIntervalAccess().getRule();
<a class="jxr_linenumber" name="L303" href="#L303">303</a> 	}
<a class="jxr_linenumber" name="L304" href="#L304">304</a> 
<a class="jxr_linenumber" name="L305" href="#L305">305</a> 	<em class="jxr_comment">// CollectionOrTuple:</em>
<a class="jxr_linenumber" name="L306" href="#L306">306</a> 	<em class="jxr_comment">// "{" listOfValues=ListOfValues "}";</em>
<a class="jxr_linenumber" name="L307" href="#L307">307</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.CollectionOrTupleElements getCollectionOrTupleAccess() {
<a class="jxr_linenumber" name="L308" href="#L308">308</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getCollectionOrTupleAccess();
<a class="jxr_linenumber" name="L309" href="#L309">309</a> 	}
<a class="jxr_linenumber" name="L310" href="#L310">310</a> 
<a class="jxr_linenumber" name="L311" href="#L311">311</a> 	<strong class="jxr_keyword">public</strong> ParserRule getCollectionOrTupleRule() {
<a class="jxr_linenumber" name="L312" href="#L312">312</a> 		<strong class="jxr_keyword">return</strong> getCollectionOrTupleAccess().getRule();
<a class="jxr_linenumber" name="L313" href="#L313">313</a> 	}
<a class="jxr_linenumber" name="L314" href="#L314">314</a> 
<a class="jxr_linenumber" name="L315" href="#L315">315</a> 	<em class="jxr_comment">// Tuple:</em>
<a class="jxr_linenumber" name="L316" href="#L316">316</a> 	<em class="jxr_comment">// "{" listOfValueNamePairs=ListOfValueNamePairs "}";</em>
<a class="jxr_linenumber" name="L317" href="#L317">317</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.TupleElements getTupleAccess() {
<a class="jxr_linenumber" name="L318" href="#L318">318</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getTupleAccess();
<a class="jxr_linenumber" name="L319" href="#L319">319</a> 	}
<a class="jxr_linenumber" name="L320" href="#L320">320</a> 
<a class="jxr_linenumber" name="L321" href="#L321">321</a> 	<strong class="jxr_keyword">public</strong> ParserRule getTupleRule() {
<a class="jxr_linenumber" name="L322" href="#L322">322</a> 		<strong class="jxr_keyword">return</strong> getTupleAccess().getRule();
<a class="jxr_linenumber" name="L323" href="#L323">323</a> 	}
<a class="jxr_linenumber" name="L324" href="#L324">324</a> 
<a class="jxr_linenumber" name="L325" href="#L325">325</a> 	<em class="jxr_comment">// ListOfValues:</em>
<a class="jxr_linenumber" name="L326" href="#L326">326</a> 	<em class="jxr_comment">// values+=Expression ("," values+=Expression)*;</em>
<a class="jxr_linenumber" name="L327" href="#L327">327</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.ListOfValuesElements getListOfValuesAccess() {
<a class="jxr_linenumber" name="L328" href="#L328">328</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getListOfValuesAccess();
<a class="jxr_linenumber" name="L329" href="#L329">329</a> 	}
<a class="jxr_linenumber" name="L330" href="#L330">330</a> 
<a class="jxr_linenumber" name="L331" href="#L331">331</a> 	<strong class="jxr_keyword">public</strong> ParserRule getListOfValuesRule() {
<a class="jxr_linenumber" name="L332" href="#L332">332</a> 		<strong class="jxr_keyword">return</strong> getListOfValuesAccess().getRule();
<a class="jxr_linenumber" name="L333" href="#L333">333</a> 	}
<a class="jxr_linenumber" name="L334" href="#L334">334</a> 
<a class="jxr_linenumber" name="L335" href="#L335">335</a> 	<em class="jxr_comment">// ListOfValueNamePairs:</em>
<a class="jxr_linenumber" name="L336" href="#L336">336</a> 	<em class="jxr_comment">// valueNamePairs+=ValueNamePair ("," valueNamePairs+=ValueNamePair)*;</em>
<a class="jxr_linenumber" name="L337" href="#L337">337</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.ListOfValueNamePairsElements getListOfValueNamePairsAccess() {
<a class="jxr_linenumber" name="L338" href="#L338">338</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getListOfValueNamePairsAccess();
<a class="jxr_linenumber" name="L339" href="#L339">339</a> 	}
<a class="jxr_linenumber" name="L340" href="#L340">340</a> 
<a class="jxr_linenumber" name="L341" href="#L341">341</a> 	<strong class="jxr_keyword">public</strong> ParserRule getListOfValueNamePairsRule() {
<a class="jxr_linenumber" name="L342" href="#L342">342</a> 		<strong class="jxr_keyword">return</strong> getListOfValueNamePairsAccess().getRule();
<a class="jxr_linenumber" name="L343" href="#L343">343</a> 	}
<a class="jxr_linenumber" name="L344" href="#L344">344</a> 
<a class="jxr_linenumber" name="L345" href="#L345">345</a> 	<em class="jxr_comment">// ValueNamePair:</em>
<a class="jxr_linenumber" name="L346" href="#L346">346</a> 	<em class="jxr_comment">// property=[uml::Property] "=" value=Expression;</em>
<a class="jxr_linenumber" name="L347" href="#L347">347</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.ValueNamePairElements getValueNamePairAccess() {
<a class="jxr_linenumber" name="L348" href="#L348">348</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getValueNamePairAccess();
<a class="jxr_linenumber" name="L349" href="#L349">349</a> 	}
<a class="jxr_linenumber" name="L350" href="#L350">350</a> 
<a class="jxr_linenumber" name="L351" href="#L351">351</a> 	<strong class="jxr_keyword">public</strong> ParserRule getValueNamePairRule() {
<a class="jxr_linenumber" name="L352" href="#L352">352</a> 		<strong class="jxr_keyword">return</strong> getValueNamePairAccess().getRule();
<a class="jxr_linenumber" name="L353" href="#L353">353</a> 	}
<a class="jxr_linenumber" name="L354" href="#L354">354</a> 
<a class="jxr_linenumber" name="L355" href="#L355">355</a> 	<em class="jxr_comment">// TimeExpression:</em>
<a class="jxr_linenumber" name="L356" href="#L356">356</a> 	<em class="jxr_comment">// InstantObsExpression | DurationObsExpression | JitterExp;</em>
<a class="jxr_linenumber" name="L357" href="#L357">357</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.TimeExpressionElements getTimeExpressionAccess() {
<a class="jxr_linenumber" name="L358" href="#L358">358</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getTimeExpressionAccess();
<a class="jxr_linenumber" name="L359" href="#L359">359</a> 	}
<a class="jxr_linenumber" name="L360" href="#L360">360</a> 
<a class="jxr_linenumber" name="L361" href="#L361">361</a> 	<strong class="jxr_keyword">public</strong> ParserRule getTimeExpressionRule() {
<a class="jxr_linenumber" name="L362" href="#L362">362</a> 		<strong class="jxr_keyword">return</strong> getTimeExpressionAccess().getRule();
<a class="jxr_linenumber" name="L363" href="#L363">363</a> 	}
<a class="jxr_linenumber" name="L364" href="#L364">364</a> 
<a class="jxr_linenumber" name="L365" href="#L365">365</a> 	<em class="jxr_comment">// InstantObsExpression:</em>
<a class="jxr_linenumber" name="L366" href="#L366">366</a> 	<em class="jxr_comment">// "@" id=InstantObsName ("(" index=Expression ")")? ("when" "(" condition=Expression ")")?;</em>
<a class="jxr_linenumber" name="L367" href="#L367">367</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.InstantObsExpressionElements getInstantObsExpressionAccess() {
<a class="jxr_linenumber" name="L368" href="#L368">368</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getInstantObsExpressionAccess();
<a class="jxr_linenumber" name="L369" href="#L369">369</a> 	}
<a class="jxr_linenumber" name="L370" href="#L370">370</a> 
<a class="jxr_linenumber" name="L371" href="#L371">371</a> 	<strong class="jxr_keyword">public</strong> ParserRule getInstantObsExpressionRule() {
<a class="jxr_linenumber" name="L372" href="#L372">372</a> 		<strong class="jxr_keyword">return</strong> getInstantObsExpressionAccess().getRule();
<a class="jxr_linenumber" name="L373" href="#L373">373</a> 	}
<a class="jxr_linenumber" name="L374" href="#L374">374</a> 
<a class="jxr_linenumber" name="L375" href="#L375">375</a> 	<em class="jxr_comment">// InstantObsName:</em>
<a class="jxr_linenumber" name="L376" href="#L376">376</a> 	<em class="jxr_comment">// path=QualifiedName? instantId=[uml::TimeObservation];</em>
<a class="jxr_linenumber" name="L377" href="#L377">377</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.InstantObsNameElements getInstantObsNameAccess() {
<a class="jxr_linenumber" name="L378" href="#L378">378</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getInstantObsNameAccess();
<a class="jxr_linenumber" name="L379" href="#L379">379</a> 	}
<a class="jxr_linenumber" name="L380" href="#L380">380</a> 
<a class="jxr_linenumber" name="L381" href="#L381">381</a> 	<strong class="jxr_keyword">public</strong> ParserRule getInstantObsNameRule() {
<a class="jxr_linenumber" name="L382" href="#L382">382</a> 		<strong class="jxr_keyword">return</strong> getInstantObsNameAccess().getRule();
<a class="jxr_linenumber" name="L383" href="#L383">383</a> 	}
<a class="jxr_linenumber" name="L384" href="#L384">384</a> 
<a class="jxr_linenumber" name="L385" href="#L385">385</a> 	<em class="jxr_comment">// DurationObsExpression:</em>
<a class="jxr_linenumber" name="L386" href="#L386">386</a> 	<em class="jxr_comment">// "&amp;" id=DurationObsName ("(" index=Expression ")")? ("when" "(" condition=Expression ")")?;</em>
<a class="jxr_linenumber" name="L387" href="#L387">387</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.DurationObsExpressionElements getDurationObsExpressionAccess() {
<a class="jxr_linenumber" name="L388" href="#L388">388</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getDurationObsExpressionAccess();
<a class="jxr_linenumber" name="L389" href="#L389">389</a> 	}
<a class="jxr_linenumber" name="L390" href="#L390">390</a> 
<a class="jxr_linenumber" name="L391" href="#L391">391</a> 	<strong class="jxr_keyword">public</strong> ParserRule getDurationObsExpressionRule() {
<a class="jxr_linenumber" name="L392" href="#L392">392</a> 		<strong class="jxr_keyword">return</strong> getDurationObsExpressionAccess().getRule();
<a class="jxr_linenumber" name="L393" href="#L393">393</a> 	}
<a class="jxr_linenumber" name="L394" href="#L394">394</a> 
<a class="jxr_linenumber" name="L395" href="#L395">395</a> 	<em class="jxr_comment">// DurationObsName:</em>
<a class="jxr_linenumber" name="L396" href="#L396">396</a> 	<em class="jxr_comment">// path=QualifiedName? durationId=[uml::DurationObservation];</em>
<a class="jxr_linenumber" name="L397" href="#L397">397</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.DurationObsNameElements getDurationObsNameAccess() {
<a class="jxr_linenumber" name="L398" href="#L398">398</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getDurationObsNameAccess();
<a class="jxr_linenumber" name="L399" href="#L399">399</a> 	}
<a class="jxr_linenumber" name="L400" href="#L400">400</a> 
<a class="jxr_linenumber" name="L401" href="#L401">401</a> 	<strong class="jxr_keyword">public</strong> ParserRule getDurationObsNameRule() {
<a class="jxr_linenumber" name="L402" href="#L402">402</a> 		<strong class="jxr_keyword">return</strong> getDurationObsNameAccess().getRule();
<a class="jxr_linenumber" name="L403" href="#L403">403</a> 	}
<a class="jxr_linenumber" name="L404" href="#L404">404</a> 
<a class="jxr_linenumber" name="L405" href="#L405">405</a> 	<em class="jxr_comment">// JitterExp:</em>
<a class="jxr_linenumber" name="L406" href="#L406">406</a> 	<em class="jxr_comment">// "jitter(" firstInstant=InstantObsExpression ("-" secondInstant=InstantObsExpression)? ")";</em>
<a class="jxr_linenumber" name="L407" href="#L407">407</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.JitterExpElements getJitterExpAccess() {
<a class="jxr_linenumber" name="L408" href="#L408">408</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getJitterExpAccess();
<a class="jxr_linenumber" name="L409" href="#L409">409</a> 	}
<a class="jxr_linenumber" name="L410" href="#L410">410</a> 
<a class="jxr_linenumber" name="L411" href="#L411">411</a> 	<strong class="jxr_keyword">public</strong> ParserRule getJitterExpRule() {
<a class="jxr_linenumber" name="L412" href="#L412">412</a> 		<strong class="jxr_keyword">return</strong> getJitterExpAccess().getRule();
<a class="jxr_linenumber" name="L413" href="#L413">413</a> 	}
<a class="jxr_linenumber" name="L414" href="#L414">414</a> 
<a class="jxr_linenumber" name="L415" href="#L415">415</a> 	<em class="jxr_comment">// VariableDeclaration:</em>
<a class="jxr_linenumber" name="L416" href="#L416">416</a> 	<em class="jxr_comment">// variableDeclaration=VariableDirectionKind? "$" name=ID (":" type=DataTypeName ("=" "(" initValue=Expression ")")? |</em>
<a class="jxr_linenumber" name="L417" href="#L417">417</a> 	<em class="jxr_comment">// "=" "(" initValue=Expression ")");</em>
<a class="jxr_linenumber" name="L418" href="#L418">418</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.VariableDeclarationElements getVariableDeclarationAccess() {
<a class="jxr_linenumber" name="L419" href="#L419">419</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getVariableDeclarationAccess();
<a class="jxr_linenumber" name="L420" href="#L420">420</a> 	}
<a class="jxr_linenumber" name="L421" href="#L421">421</a> 
<a class="jxr_linenumber" name="L422" href="#L422">422</a> 	<strong class="jxr_keyword">public</strong> ParserRule getVariableDeclarationRule() {
<a class="jxr_linenumber" name="L423" href="#L423">423</a> 		<strong class="jxr_keyword">return</strong> getVariableDeclarationAccess().getRule();
<a class="jxr_linenumber" name="L424" href="#L424">424</a> 	}
<a class="jxr_linenumber" name="L425" href="#L425">425</a> 
<a class="jxr_linenumber" name="L426" href="#L426">426</a> 	<em class="jxr_comment">// VariableDirectionKind:</em>
<a class="jxr_linenumber" name="L427" href="#L427">427</a> 	<em class="jxr_comment">// "in" | "out" | "inout";</em>
<a class="jxr_linenumber" name="L428" href="#L428">428</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.VariableDirectionKindElements getVariableDirectionKindAccess() {
<a class="jxr_linenumber" name="L429" href="#L429">429</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getVariableDirectionKindAccess();
<a class="jxr_linenumber" name="L430" href="#L430">430</a> 	}
<a class="jxr_linenumber" name="L431" href="#L431">431</a> 
<a class="jxr_linenumber" name="L432" href="#L432">432</a> 	<strong class="jxr_keyword">public</strong> ParserRule getVariableDirectionKindRule() {
<a class="jxr_linenumber" name="L433" href="#L433">433</a> 		<strong class="jxr_keyword">return</strong> getVariableDirectionKindAccess().getRule();
<a class="jxr_linenumber" name="L434" href="#L434">434</a> 	}
<a class="jxr_linenumber" name="L435" href="#L435">435</a> 
<a class="jxr_linenumber" name="L436" href="#L436">436</a> 	<em class="jxr_comment">// DataTypeName:</em>
<a class="jxr_linenumber" name="L437" href="#L437">437</a> 	<em class="jxr_comment">// path=QualifiedName? type=[uml::DataType];</em>
<a class="jxr_linenumber" name="L438" href="#L438">438</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.DataTypeNameElements getDataTypeNameAccess() {
<a class="jxr_linenumber" name="L439" href="#L439">439</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getDataTypeNameAccess();
<a class="jxr_linenumber" name="L440" href="#L440">440</a> 	}
<a class="jxr_linenumber" name="L441" href="#L441">441</a> 
<a class="jxr_linenumber" name="L442" href="#L442">442</a> 	<strong class="jxr_keyword">public</strong> ParserRule getDataTypeNameRule() {
<a class="jxr_linenumber" name="L443" href="#L443">443</a> 		<strong class="jxr_keyword">return</strong> getDataTypeNameAccess().getRule();
<a class="jxr_linenumber" name="L444" href="#L444">444</a> 	}
<a class="jxr_linenumber" name="L445" href="#L445">445</a> 
<a class="jxr_linenumber" name="L446" href="#L446">446</a> 	<em class="jxr_comment">// //////////////////////////////////////////////////////////////////////////////////////////////////////</em>
<a class="jxr_linenumber" name="L447" href="#L447">447</a> 	<em class="jxr_comment">// //LITERAL</em>
<a class="jxr_linenumber" name="L448" href="#L448">448</a> 	<em class="jxr_comment">// //////////////////////////////////////////////////////////////////////////////////////////////////////</em>
<a class="jxr_linenumber" name="L449" href="#L449">449</a> 	<em class="jxr_comment">// NumberLiteralRule:</em>
<a class="jxr_linenumber" name="L450" href="#L450">450</a> 	<em class="jxr_comment">// IntegerLiteralRule | UnlimitedLiteralRule | RealLiteralRule;</em>
<a class="jxr_linenumber" name="L451" href="#L451">451</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.NumberLiteralRuleElements getNumberLiteralRuleAccess() {
<a class="jxr_linenumber" name="L452" href="#L452">452</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getNumberLiteralRuleAccess();
<a class="jxr_linenumber" name="L453" href="#L453">453</a> 	}
<a class="jxr_linenumber" name="L454" href="#L454">454</a> 
<a class="jxr_linenumber" name="L455" href="#L455">455</a> 	<strong class="jxr_keyword">public</strong> ParserRule getNumberLiteralRuleRule() {
<a class="jxr_linenumber" name="L456" href="#L456">456</a> 		<strong class="jxr_keyword">return</strong> getNumberLiteralRuleAccess().getRule();
<a class="jxr_linenumber" name="L457" href="#L457">457</a> 	}
<a class="jxr_linenumber" name="L458" href="#L458">458</a> 
<a class="jxr_linenumber" name="L459" href="#L459">459</a> 	<em class="jxr_comment">// IntegerLiteralRule:</em>
<a class="jxr_linenumber" name="L460" href="#L460">460</a> 	<em class="jxr_comment">// value=IntegerLiteral;</em>
<a class="jxr_linenumber" name="L461" href="#L461">461</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.IntegerLiteralRuleElements getIntegerLiteralRuleAccess() {
<a class="jxr_linenumber" name="L462" href="#L462">462</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getIntegerLiteralRuleAccess();
<a class="jxr_linenumber" name="L463" href="#L463">463</a> 	}
<a class="jxr_linenumber" name="L464" href="#L464">464</a> 
<a class="jxr_linenumber" name="L465" href="#L465">465</a> 	<strong class="jxr_keyword">public</strong> ParserRule getIntegerLiteralRuleRule() {
<a class="jxr_linenumber" name="L466" href="#L466">466</a> 		<strong class="jxr_keyword">return</strong> getIntegerLiteralRuleAccess().getRule();
<a class="jxr_linenumber" name="L467" href="#L467">467</a> 	}
<a class="jxr_linenumber" name="L468" href="#L468">468</a> 
<a class="jxr_linenumber" name="L469" href="#L469">469</a> 	<em class="jxr_comment">// terminal IntegerLiteral:</em>
<a class="jxr_linenumber" name="L470" href="#L470">470</a> 	<em class="jxr_comment">// ("+" | "-")? ("0".."9"+ | "0x" ("0".."9" | "A".."F" | "a".."f")+ | "0b" "0".."1"+);</em>
<a class="jxr_linenumber" name="L471" href="#L471">471</a> 	<strong class="jxr_keyword">public</strong> TerminalRule getIntegerLiteralRule() {
<a class="jxr_linenumber" name="L472" href="#L472">472</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getIntegerLiteralRule();
<a class="jxr_linenumber" name="L473" href="#L473">473</a> 	}
<a class="jxr_linenumber" name="L474" href="#L474">474</a> 
<a class="jxr_linenumber" name="L475" href="#L475">475</a> 	<em class="jxr_comment">// //UnlimitedLiteralRule :</em>
<a class="jxr_linenumber" name="L476" href="#L476">476</a> 	<em class="jxr_comment">// // value = UnlimitedLiteral ;</em>
<a class="jxr_linenumber" name="L477" href="#L477">477</a> 	<em class="jxr_comment">// //terminal UnlimitedLiteral :</em>
<a class="jxr_linenumber" name="L478" href="#L478">478</a> 	<em class="jxr_comment">// // '*' ;</em>
<a class="jxr_linenumber" name="L479" href="#L479">479</a> 	<em class="jxr_comment">// UnlimitedLiteralRule:</em>
<a class="jxr_linenumber" name="L480" href="#L480">480</a> 	<em class="jxr_comment">// value="*";</em>
<a class="jxr_linenumber" name="L481" href="#L481">481</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.UnlimitedLiteralRuleElements getUnlimitedLiteralRuleAccess() {
<a class="jxr_linenumber" name="L482" href="#L482">482</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getUnlimitedLiteralRuleAccess();
<a class="jxr_linenumber" name="L483" href="#L483">483</a> 	}
<a class="jxr_linenumber" name="L484" href="#L484">484</a> 
<a class="jxr_linenumber" name="L485" href="#L485">485</a> 	<strong class="jxr_keyword">public</strong> ParserRule getUnlimitedLiteralRuleRule() {
<a class="jxr_linenumber" name="L486" href="#L486">486</a> 		<strong class="jxr_keyword">return</strong> getUnlimitedLiteralRuleAccess().getRule();
<a class="jxr_linenumber" name="L487" href="#L487">487</a> 	}
<a class="jxr_linenumber" name="L488" href="#L488">488</a> 
<a class="jxr_linenumber" name="L489" href="#L489">489</a> 	<em class="jxr_comment">// RealLiteralRule:</em>
<a class="jxr_linenumber" name="L490" href="#L490">490</a> 	<em class="jxr_comment">// value=RealLiteral;</em>
<a class="jxr_linenumber" name="L491" href="#L491">491</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.RealLiteralRuleElements getRealLiteralRuleAccess() {
<a class="jxr_linenumber" name="L492" href="#L492">492</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getRealLiteralRuleAccess();
<a class="jxr_linenumber" name="L493" href="#L493">493</a> 	}
<a class="jxr_linenumber" name="L494" href="#L494">494</a> 
<a class="jxr_linenumber" name="L495" href="#L495">495</a> 	<strong class="jxr_keyword">public</strong> ParserRule getRealLiteralRuleRule() {
<a class="jxr_linenumber" name="L496" href="#L496">496</a> 		<strong class="jxr_keyword">return</strong> getRealLiteralRuleAccess().getRule();
<a class="jxr_linenumber" name="L497" href="#L497">497</a> 	}
<a class="jxr_linenumber" name="L498" href="#L498">498</a> 
<a class="jxr_linenumber" name="L499" href="#L499">499</a> 	<em class="jxr_comment">// terminal RealLiteral:</em>
<a class="jxr_linenumber" name="L500" href="#L500">500</a> 	<em class="jxr_comment">// ("+" | "-")? "0".."9"+ "." "0".."9"+ ("E" ("+" | "-")? "0".."9"+)?;</em>
<a class="jxr_linenumber" name="L501" href="#L501">501</a> 	<strong class="jxr_keyword">public</strong> TerminalRule getRealLiteralRule() {
<a class="jxr_linenumber" name="L502" href="#L502">502</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getRealLiteralRule();
<a class="jxr_linenumber" name="L503" href="#L503">503</a> 	}
<a class="jxr_linenumber" name="L504" href="#L504">504</a> 
<a class="jxr_linenumber" name="L505" href="#L505">505</a> 	<em class="jxr_comment">// //DateTimeLiteral:</em>
<a class="jxr_linenumber" name="L506" href="#L506">506</a> 	<em class="jxr_comment">// // TimeString (DateString)? (DayString)? |</em>
<a class="jxr_linenumber" name="L507" href="#L507">507</a> 	<em class="jxr_comment">// // DateString (DayString)? |</em>
<a class="jxr_linenumber" name="L508" href="#L508">508</a> 	<em class="jxr_comment">// // DayString ;</em>
<a class="jxr_linenumber" name="L509" href="#L509">509</a> 	<em class="jxr_comment">// //terminal DateString :</em>
<a class="jxr_linenumber" name="L510" href="#L510">510</a> 	<em class="jxr_comment">// // ('0'..'9')('0'..'9')('0'..'9')('0'..'9')'/'('0'('0'..'9')|'1'('0'..'2'))'/'(('0'..'2')('0'..'9')|'3' ('0'|'1')) ;</em>
<a class="jxr_linenumber" name="L511" href="#L511">511</a> 	<em class="jxr_comment">// //terminal TimeString :</em>
<a class="jxr_linenumber" name="L512" href="#L512">512</a> 	<em class="jxr_comment">// // (('0'..'1')('0'..'9')|'2'('0'..'3'))':'('0'..'5')('0'..'9')(':'('0'..'5')('0'..'9')(':'('0'..'9')('0'..'9'))?)? ;</em>
<a class="jxr_linenumber" name="L513" href="#L513">513</a> 	<em class="jxr_comment">// //terminal DayString :</em>
<a class="jxr_linenumber" name="L514" href="#L514">514</a> 	<em class="jxr_comment">// // "Mon" | "Tue" | "Wed" | "Thr" | "Fri" | "Sat" | "Sun" ;</em>
<a class="jxr_linenumber" name="L515" href="#L515">515</a> 	<em class="jxr_comment">// DateTimeLiteralRule:</em>
<a class="jxr_linenumber" name="L516" href="#L516">516</a> 	<em class="jxr_comment">// value=DateTimeLiteral;</em>
<a class="jxr_linenumber" name="L517" href="#L517">517</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.DateTimeLiteralRuleElements getDateTimeLiteralRuleAccess() {
<a class="jxr_linenumber" name="L518" href="#L518">518</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getDateTimeLiteralRuleAccess();
<a class="jxr_linenumber" name="L519" href="#L519">519</a> 	}
<a class="jxr_linenumber" name="L520" href="#L520">520</a> 
<a class="jxr_linenumber" name="L521" href="#L521">521</a> 	<strong class="jxr_keyword">public</strong> ParserRule getDateTimeLiteralRuleRule() {
<a class="jxr_linenumber" name="L522" href="#L522">522</a> 		<strong class="jxr_keyword">return</strong> getDateTimeLiteralRuleAccess().getRule();
<a class="jxr_linenumber" name="L523" href="#L523">523</a> 	}
<a class="jxr_linenumber" name="L524" href="#L524">524</a> 
<a class="jxr_linenumber" name="L525" href="#L525">525</a> 	<em class="jxr_comment">// terminal DateTimeLiteral:</em>
<a class="jxr_linenumber" name="L526" href="#L526">526</a> 	<em class="jxr_comment">// (("0".."1" "0".."9" | "2" "0".."3") ":" "0".."5" "0".."9" (":" "0".."5" "0".."9" (":" "0".."9" "0".."9")?)?) (" "</em>
<a class="jxr_linenumber" name="L527" href="#L527">527</a> 	<em class="jxr_comment">// "0".."9" "0".."9" "0".."9" "0".."9" "/" ("0" "0".."9" | "1" "0".."2") "/" ("0".."2" "0".."9" | "3" ("0" | "1")))? (" "</em>
<a class="jxr_linenumber" name="L528" href="#L528">528</a> 	<em class="jxr_comment">// ("Mon" | "Tue" | "Wed" | "Thr" | "Fri" | "Sat" | "Sun"))? | ("0".."9" "0".."9" "0".."9" "0".."9" "/" ("0" "0".."9" |</em>
<a class="jxr_linenumber" name="L529" href="#L529">529</a> 	<em class="jxr_comment">// "1" "0".."2") "/" ("0".."2" "0".."9" | "3" ("0" | "1"))) (" " ("Mon" | "Tue" | "Wed" | "Thr" | "Fri" | "Sat" |</em>
<a class="jxr_linenumber" name="L530" href="#L530">530</a> 	<em class="jxr_comment">// "Sun"))? | ("Mon" | "Tue" | "Wed" | "Thr" | "Fri" | "Sat" | "Sun");</em>
<a class="jxr_linenumber" name="L531" href="#L531">531</a> 	<strong class="jxr_keyword">public</strong> TerminalRule getDateTimeLiteralRule() {
<a class="jxr_linenumber" name="L532" href="#L532">532</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getDateTimeLiteralRule();
<a class="jxr_linenumber" name="L533" href="#L533">533</a> 	}
<a class="jxr_linenumber" name="L534" href="#L534">534</a> 
<a class="jxr_linenumber" name="L535" href="#L535">535</a> 	<em class="jxr_comment">// BooleanLiteralRule:</em>
<a class="jxr_linenumber" name="L536" href="#L536">536</a> 	<em class="jxr_comment">// value=BooleanLiteral;</em>
<a class="jxr_linenumber" name="L537" href="#L537">537</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.BooleanLiteralRuleElements getBooleanLiteralRuleAccess() {
<a class="jxr_linenumber" name="L538" href="#L538">538</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getBooleanLiteralRuleAccess();
<a class="jxr_linenumber" name="L539" href="#L539">539</a> 	}
<a class="jxr_linenumber" name="L540" href="#L540">540</a> 
<a class="jxr_linenumber" name="L541" href="#L541">541</a> 	<strong class="jxr_keyword">public</strong> ParserRule getBooleanLiteralRuleRule() {
<a class="jxr_linenumber" name="L542" href="#L542">542</a> 		<strong class="jxr_keyword">return</strong> getBooleanLiteralRuleAccess().getRule();
<a class="jxr_linenumber" name="L543" href="#L543">543</a> 	}
<a class="jxr_linenumber" name="L544" href="#L544">544</a> 
<a class="jxr_linenumber" name="L545" href="#L545">545</a> 	<em class="jxr_comment">// terminal BooleanLiteral:</em>
<a class="jxr_linenumber" name="L546" href="#L546">546</a> 	<em class="jxr_comment">// "true" | "false";</em>
<a class="jxr_linenumber" name="L547" href="#L547">547</a> 	<strong class="jxr_keyword">public</strong> TerminalRule getBooleanLiteralRule() {
<a class="jxr_linenumber" name="L548" href="#L548">548</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getBooleanLiteralRule();
<a class="jxr_linenumber" name="L549" href="#L549">549</a> 	}
<a class="jxr_linenumber" name="L550" href="#L550">550</a> 
<a class="jxr_linenumber" name="L551" href="#L551">551</a> 	<em class="jxr_comment">// NullLiteralRule:</em>
<a class="jxr_linenumber" name="L552" href="#L552">552</a> 	<em class="jxr_comment">// value=NullLiteral;</em>
<a class="jxr_linenumber" name="L553" href="#L553">553</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.NullLiteralRuleElements getNullLiteralRuleAccess() {
<a class="jxr_linenumber" name="L554" href="#L554">554</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getNullLiteralRuleAccess();
<a class="jxr_linenumber" name="L555" href="#L555">555</a> 	}
<a class="jxr_linenumber" name="L556" href="#L556">556</a> 
<a class="jxr_linenumber" name="L557" href="#L557">557</a> 	<strong class="jxr_keyword">public</strong> ParserRule getNullLiteralRuleRule() {
<a class="jxr_linenumber" name="L558" href="#L558">558</a> 		<strong class="jxr_keyword">return</strong> getNullLiteralRuleAccess().getRule();
<a class="jxr_linenumber" name="L559" href="#L559">559</a> 	}
<a class="jxr_linenumber" name="L560" href="#L560">560</a> 
<a class="jxr_linenumber" name="L561" href="#L561">561</a> 	<em class="jxr_comment">// terminal NullLiteral:</em>
<a class="jxr_linenumber" name="L562" href="#L562">562</a> 	<em class="jxr_comment">// "null";</em>
<a class="jxr_linenumber" name="L563" href="#L563">563</a> 	<strong class="jxr_keyword">public</strong> TerminalRule getNullLiteralRule() {
<a class="jxr_linenumber" name="L564" href="#L564">564</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getNullLiteralRule();
<a class="jxr_linenumber" name="L565" href="#L565">565</a> 	}
<a class="jxr_linenumber" name="L566" href="#L566">566</a> 
<a class="jxr_linenumber" name="L567" href="#L567">567</a> 	<em class="jxr_comment">// //DefaultLiteralRule :</em>
<a class="jxr_linenumber" name="L568" href="#L568">568</a> 	<em class="jxr_comment">// // value = DefaultLiteral ;</em>
<a class="jxr_linenumber" name="L569" href="#L569">569</a> 	<em class="jxr_comment">// //terminal DefaultLiteral :</em>
<a class="jxr_linenumber" name="L570" href="#L570">570</a> 	<em class="jxr_comment">// // '/' ;</em>
<a class="jxr_linenumber" name="L571" href="#L571">571</a> 	<em class="jxr_comment">// DefaultLiteralRule:</em>
<a class="jxr_linenumber" name="L572" href="#L572">572</a> 	<em class="jxr_comment">// value="/";</em>
<a class="jxr_linenumber" name="L573" href="#L573">573</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.DefaultLiteralRuleElements getDefaultLiteralRuleAccess() {
<a class="jxr_linenumber" name="L574" href="#L574">574</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getDefaultLiteralRuleAccess();
<a class="jxr_linenumber" name="L575" href="#L575">575</a> 	}
<a class="jxr_linenumber" name="L576" href="#L576">576</a> 
<a class="jxr_linenumber" name="L577" href="#L577">577</a> 	<strong class="jxr_keyword">public</strong> ParserRule getDefaultLiteralRuleRule() {
<a class="jxr_linenumber" name="L578" href="#L578">578</a> 		<strong class="jxr_keyword">return</strong> getDefaultLiteralRuleAccess().getRule();
<a class="jxr_linenumber" name="L579" href="#L579">579</a> 	}
<a class="jxr_linenumber" name="L580" href="#L580">580</a> 
<a class="jxr_linenumber" name="L581" href="#L581">581</a> 	<em class="jxr_comment">// StringLiteralRule:</em>
<a class="jxr_linenumber" name="L582" href="#L582">582</a> 	<em class="jxr_comment">// value=STRING;</em>
<a class="jxr_linenumber" name="L583" href="#L583">583</a> 	<strong class="jxr_keyword">public</strong> VSLGrammarAccess.StringLiteralRuleElements getStringLiteralRuleAccess() {
<a class="jxr_linenumber" name="L584" href="#L584">584</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getStringLiteralRuleAccess();
<a class="jxr_linenumber" name="L585" href="#L585">585</a> 	}
<a class="jxr_linenumber" name="L586" href="#L586">586</a> 
<a class="jxr_linenumber" name="L587" href="#L587">587</a> 	<strong class="jxr_keyword">public</strong> ParserRule getStringLiteralRuleRule() {
<a class="jxr_linenumber" name="L588" href="#L588">588</a> 		<strong class="jxr_keyword">return</strong> getStringLiteralRuleAccess().getRule();
<a class="jxr_linenumber" name="L589" href="#L589">589</a> 	}
<a class="jxr_linenumber" name="L590" href="#L590">590</a> 
<a class="jxr_linenumber" name="L591" href="#L591">591</a> 	<em class="jxr_comment">// terminal ID:</em>
<a class="jxr_linenumber" name="L592" href="#L592">592</a> 	<em class="jxr_comment">// "^"? ("a".."z" | "A".."Z" | "_") ("a".."z" | "A".."Z" | "_" | "0".."9")*;</em>
<a class="jxr_linenumber" name="L593" href="#L593">593</a> 	<strong class="jxr_keyword">public</strong> TerminalRule getIDRule() {
<a class="jxr_linenumber" name="L594" href="#L594">594</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getIDRule();
<a class="jxr_linenumber" name="L595" href="#L595">595</a> 	}
<a class="jxr_linenumber" name="L596" href="#L596">596</a> 
<a class="jxr_linenumber" name="L597" href="#L597">597</a> 	<em class="jxr_comment">// terminal INT returns ecore::EInt:</em>
<a class="jxr_linenumber" name="L598" href="#L598">598</a> 	<em class="jxr_comment">// "0".."9"+;</em>
<a class="jxr_linenumber" name="L599" href="#L599">599</a> 	<strong class="jxr_keyword">public</strong> TerminalRule getINTRule() {
<a class="jxr_linenumber" name="L600" href="#L600">600</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getINTRule();
<a class="jxr_linenumber" name="L601" href="#L601">601</a> 	}
<a class="jxr_linenumber" name="L602" href="#L602">602</a> 
<a class="jxr_linenumber" name="L603" href="#L603">603</a> 	<em class="jxr_comment">// terminal STRING:</em>
<a class="jxr_linenumber" name="L604" href="#L604">604</a> 	<em class="jxr_comment">// "\&quot;" ("&#92;&#92;" ("b" | "t" | "n" | "f" | "r" | "u" | "\&quot;" | "\'" | "&#92;&#92;") | !("&#92;&#92;" | "\&quot;"))* "\&quot;" | "\'" ("&#92;&#92;" ("b" | "t" |</em>
<a class="jxr_linenumber" name="L605" href="#L605">605</a> 	<em class="jxr_comment">// "n" | "f" | "r" | "u" | "\&quot;" | "\'" | "&#92;&#92;") | !("&#92;&#92;" | "\'"))* "\'";</em>
<a class="jxr_linenumber" name="L606" href="#L606">606</a> 	<strong class="jxr_keyword">public</strong> TerminalRule getSTRINGRule() {
<a class="jxr_linenumber" name="L607" href="#L607">607</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getSTRINGRule();
<a class="jxr_linenumber" name="L608" href="#L608">608</a> 	}
<a class="jxr_linenumber" name="L609" href="#L609">609</a> 
<a class="jxr_linenumber" name="L610" href="#L610">610</a> 	<em class="jxr_comment">// terminal ML_COMMENT:</em>
<a class="jxr_linenumber" name="L611" href="#L611">611</a> 	<em class="jxr_comment">// "/ *"-&gt;"* /";</em>
<a class="jxr_linenumber" name="L612" href="#L612">612</a> 	<strong class="jxr_keyword">public</strong> TerminalRule getML_COMMENTRule() {
<a class="jxr_linenumber" name="L613" href="#L613">613</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getML_COMMENTRule();
<a class="jxr_linenumber" name="L614" href="#L614">614</a> 	}
<a class="jxr_linenumber" name="L615" href="#L615">615</a> 
<a class="jxr_linenumber" name="L616" href="#L616">616</a> 	<em class="jxr_comment">// terminal SL_COMMENT:</em>
<a class="jxr_linenumber" name="L617" href="#L617">617</a> 	<em class="jxr_comment">// "//" !("\n" | "\r")* ("\r"? "\n")?;</em>
<a class="jxr_linenumber" name="L618" href="#L618">618</a> 	<strong class="jxr_keyword">public</strong> TerminalRule getSL_COMMENTRule() {
<a class="jxr_linenumber" name="L619" href="#L619">619</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getSL_COMMENTRule();
<a class="jxr_linenumber" name="L620" href="#L620">620</a> 	}
<a class="jxr_linenumber" name="L621" href="#L621">621</a> 
<a class="jxr_linenumber" name="L622" href="#L622">622</a> 	<em class="jxr_comment">// terminal WS:</em>
<a class="jxr_linenumber" name="L623" href="#L623">623</a> 	<em class="jxr_comment">// (" " | "\t" | "\r" | "\n")+;</em>
<a class="jxr_linenumber" name="L624" href="#L624">624</a> 	<strong class="jxr_keyword">public</strong> TerminalRule getWSRule() {
<a class="jxr_linenumber" name="L625" href="#L625">625</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getWSRule();
<a class="jxr_linenumber" name="L626" href="#L626">626</a> 	}
<a class="jxr_linenumber" name="L627" href="#L627">627</a> 
<a class="jxr_linenumber" name="L628" href="#L628">628</a> 	<em class="jxr_comment">// terminal ANY_OTHER:</em>
<a class="jxr_linenumber" name="L629" href="#L629">629</a> 	<em class="jxr_comment">// .;</em>
<a class="jxr_linenumber" name="L630" href="#L630">630</a> 	<strong class="jxr_keyword">public</strong> TerminalRule getANY_OTHERRule() {
<a class="jxr_linenumber" name="L631" href="#L631">631</a> 		<strong class="jxr_keyword">return</strong> gaVSL.getANY_OTHERRule();
<a class="jxr_linenumber" name="L632" href="#L632">632</a> 	}
<a class="jxr_linenumber" name="L633" href="#L633">633</a> }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
